// SPDX-License-Identifier: Unlicense

#ifndef BASE64_H
#define BASE64_H

#include "typedefs.h"

#ifdef SHR3D_BASE64

#include <string>
#include <vector>

namespace Base64
{
  std::string encode(const u8* in, u64 size);
  std::vector<u8> decode(const char* in, u64 len);
}

#endif // SHR3D_BASE64

#endif // BASE64_H
